<template lang="html">
  <router-link v-if="href" :to="href" class="er-side-menu-top-level-item">
    <i class="material-icons">{{ icon }}</i>
    <span class="er-side-menu-top-level-item-label">{{ title }}</span>
  </router-link>

  <a v-else class="er-side-menu-top-level-item" @click="$emit('click')">
    <i class="material-icons">{{ icon }}</i>
    <span class="er-side-menu-top-level-item-label">{{ title }}</span>
  </a>
</template>

<script>
export default {
  name: 'SideMenuTopLevelItem',
  props: {
    title: {
      type: String,
      required: true
    },
    icon: {
      type: String,
      required: true
    },
    href: {
    },
    groupId: {
      type: String
    }
  },
  methods: {
    isActive () {

    }
  }
}
</script>

<style lang="scss">
@import '../style/base';

.er-side-menu-container {
  &.top, &.bottom {
    .er-side-menu-top-level-item {

    }
  }

  &.small {
    & > .er-side-menu-top-level-item-label {
      position: relative;
      font-size: 12px;
      display: block;
      bottom: -5px;
      opacity: 0;
      left: 0;
      right: 0;
      padding: 0 8px;
      text-transform: uppercase;
      text-align: center;
      transition: all .2s ease-in-out;
      color: #6F7B7E;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
    }
  }
}

.a-er-side-menu-top-level-item {
  cursor: pointer;
  position: relative;
  text-align: center;
  overflow: hidden;
  padding: 1.3em .5em;
  color: #6F7B7E;
  transition: all .2s ease-in-out;
  text-decoration: none;
  & > .material-icons {
    font-size: 2.5em;
  }

  &.router-link-active {
    color: #fff;
    background: #2EB398;
    padding: .9em .5em 1.7em;
    & > .er-side-menu-top-level-item-label {
      bottom: 12px;
      opacity: 1;
      color: #fff;
    }
  }

  & > .er-side-menu-top-level-item-label {
    position: absolute;
    font-size: 12px;
    display: block;
    bottom: -5px;
    opacity: 0;
    left: 0;
    right: 0;
    padding: 0 8px;
    text-transform: uppercase;
    text-align: center;
    transition: all .2s ease-in-out;
    color: #6F7B7E;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  &:hover {
    padding: .9em .5em 1.7em;
    color: #fff;
    & > .er-side-menu-top-level-item-label {
      bottom: 12px;
      opacity: 1;
    }
  }
}
</style>
